WIP

General rules

- Use spaces instead of tabs.
- Two spaces per indent.
- Obey the strict limit of max 100 characters per line.
- Add at least one line break below a function or struct signature if it spanes multiple lines, e.g.
  write
  ```
  Base.@kwdef mutable struct SomeVariableParameterTypeThatIsAlsoVeryLong <: 
                              SomeVeryLongAbstractTypeNameThatDoesntFitHereAnymore

    # fields ...
  end

  function very_long_function_name(that, exceeds, the, line, end{T}) where 
    T<:SomeVariableParameterTypeThatIsAlsoVeryLong

    # code goes here
    # ...
  end
  ```
  instead of 
  ```
  Base.@kwdef mutable struct SomeVariableParameterTypeThatIsAlsoVeryLong <: 
                              SomeVeryLongAbstractTypeNameThatDoesntFitHereAnymore
    # fields ...
  end

  function very_long_function_name(that, exceeds, the, line, end{T}) where 
    T<:SomeVariableParameterTypeThatIsAlsoVeryLong
    # code goes here
    # ...
  end
  ```
