module TCI


using dg1d
using LinearAlgebra
import Parameters: @unpack


export make_Indicator,
       Indicator,
       compute_indicator!,
       make_callback


include("interface.jl")
# implementations
include("minmod.jl")
include("threshold.jl")
include("entropyproduction.jl")
include("diffusion.jl")
include("modaldecayaverage.jl")
include("modaldecayhighest.jl")


end
